servant-auth-server: servant-server/servant-auth compatibility

[ authentication, bsd3, library, servant, web ] [ Propose Tags ]

This package provides the required instances for using the Auth combinator in your servant server.

Both cookie- and token- (REST API) based authentication is provided.

For a quick overview of the usage, see the README.

Versions [faq] 0.1.0.0, 0.1.0.1, 0.2.0.0, 0.2.1.0, 0.2.2.0, 0.2.3.0, 0.2.4.0, 0.2.6.0, 0.2.6.1, 0.2.7.0, 0.2.8.0, 0.3.0.0, 0.3.1.0, 0.3.2.0, 0.4.0.0, 0.4.0.1, 0.4.0.2, 0.4.1.0, 0.4.2.0, 0.4.3.0, 0.4.4.0 (info)
Dependencies aeson (>=0.11 && <2), base (>=4.7 && <4.10), base64-bytestring (==1.*), blaze-builder (==0.4.*), bytestring (==0.10.*), bytestring-conversion (==0.3.*), case-insensitive (==1.2.*), cookie (>=0.4 && <0.4.2.2), crypto-api (==0.13.*), data-default-class (>=0.0 && <0.2), entropy (==0.3.*), http-api-data (>=0.2 && <0.4), jose (==0.5.*), lens (==4.*), markdown-unlit, monad-time (==0.2.*), mtl (==2.2.*), servant-auth (==0.2.*), servant-auth-server, servant-server (>=0.8 && <0.10), text (==1.*), time (>=1.5 && <1.7), transformers, unordered-containers (==0.2.*), wai (==3.2.*), warp [details]
License BSD-3-Clause
Copyright (c) Julian K. Arni
Author Julian K. Arni
Maintainer jkarni@gmail.com
Category Web, Servant, Authentication
Home page http://github.com/plow-technologies/servant-auth#readme
Bug tracker https://github.com/plow-technologies/servant-auth/issues
Source repo head: git clone https://github.com/plow-technologies/servant-auth
Uploaded by jkarni at Mon Nov 28 15:47:54 UTC 2016
Distributions LTSHaskell:0.4.4.0, NixOS:0.4.4.0, Stackage:0.4.4.0
Executables readme
Downloads 4428 total (40 in the last 30 days)
Rating (no votes yet) [estimated by rule of succession]
Your Rating
  • λ
  • λ
  • λ
Status Hackage Matrix CI
Docs uploaded by user [build log]
All reported builds failed as of 2016-11-28 [all 3 reports]

Modules

[Index]

Downloads

Maintainer's Corner

For package maintainers and hackage trustees